using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml.MarkupExtensions;
using Avalonia.Media;
using System;
using System.IO;

namespace AvaloniaApplication2
{
    // 
    public struct Countries
    {
        public string name; //  
        public string capital; // 
        public string form; //  
        public string continent; // 
        public string religions; // 
        public bool isNATO; //    
    }
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
           // cbContinent.SelectedIndex = 0;
        }

        //   Click    
        private void WriteFile(object sender, RoutedEventArgs e)
        {
            Countries country = new Countries(); //   

            //   
            country.name = tbName.Text; //      
            country.capital = tbCapital.Text; //     

            //    ,   ,    
            if (rbM.IsChecked == true) country.form = "";
            if (rbK.IsChecked == true) country.form = "";
            if (rbD.IsChecked == true) country.form = "";

            //   ,      
            if (cbNATO.IsChecked == true) country.isNATO = true;
            else country.isNATO = false;

            //         ,      (    0)
            switch (cbContinent.SelectedIndex)
            {
                case 1:
                    country.continent = "";
                    break;
                case 2:
                    country.continent = "";
                    break;
                case 3:
                    country.continent = "";
                    break;
            }

            
            string religions = "";  //        

            //       (          Ctrl)
            foreach (TextBlock item in lbReligions.SelectedItems)
            {
                religions += item.Text + ", "; //      
            }
            country.religions = religions;

            //   
            using (StreamWriter sw = new StreamWriter("users.csv",true,System.Text.Encoding.UTF8))
            {
                 sw.WriteLine(country.name + ";" + country.capital + ";" + country.continent + ";" + country.form + ";" + country.religions + ";" + country.isNATO);
            }
        }

        public SolidColorBrush color(string continent)
        {
            switch (continent)
            {
                case "":
                    return new SolidColorBrush(Color.FromArgb(50,255, 0, 0));
                case "":
                    return new SolidColorBrush(Color.FromArgb(50, 0, 255, 0));
                case "":
                    return new SolidColorBrush(Color.FromArgb(50, 0, 0, 255));
                default:
                    return new SolidColorBrush(Color.FromRgb(0, 0, 0));
            }
        }
        private void ShowCountriesClick(object sender, RoutedEventArgs e)
        {
            ShowCountries.IsVisible = true;
            WritePanel.IsVisible = false;

            using (StreamReader sr = new StreamReader("users.csv"))
            {
                string line ="";
                while (!sr.EndOfStream)
                {
                    line = sr.ReadLine();
                    string[] lineArray = line.Split(';');
                    TextBlock tbName = new TextBlock()
                    {
                        Text = " : " + lineArray[0],                        
                    };
                    TextBlock tbCapital = new TextBlock()
                    {
                        Text = ": "+lineArray[1]
                    };
                    TextBlock tbIsNATO = new TextBlock();
                    if (Convert.ToBoolean(lineArray[5])) tbIsNATO.Text = "  ";
                    else tbIsNATO.Text = "    ";

                    StackPanel spCountry = new StackPanel();
                    spCountry.HorizontalAlignment = Avalonia.Layout.HorizontalAlignment.Center;
                    spCountry.Children.Add(tbName);
                    spCountry.Children.Add(tbCapital);
                    spCountry.Children.Add(tbIsNATO);
                    

                    Border border = new Border();
                    border.Background = color(lineArray[2]);
                    border.BorderBrush = Brushes.Indigo;
                    border.BorderThickness = new Avalonia.Thickness(2);
                    border.CornerRadius = new Avalonia.CornerRadius(50);
                    border.Margin = new Avalonia.Thickness(10);
                    border.Padding = new Avalonia.Thickness(20);

                    border.Child = spCountry;

                    ShowCountries.Children.Add(border);
                }               
            }                      
        }
        private void Back_Click(object sender, RoutedEventArgs e)
        {
            ShowCountries.IsVisible = false;
            WritePanel.IsVisible = true;
        }
    }
}